net.posprinter.utils

## Class DataForSendToPrinterPos76

- java.lang.Object
- - net.posprinter.utils.DataForSendToPrinterPos76

-     public class DataForSendToPrinterPos76
      extends java.lang.Object

  This class is a class of instruction processing tools This type of instruction is only applicable to the products of 76mm series thermal printer pos-76xx series; please refer to the programming manual for the description and effect of specific instructions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataForSendToPrinterPos76()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `allowOrForbidPressButton(int n)`
    `static byte[]` | `cancelChineseCharModel()`
    `static byte[]` | `cancelUserDefinedCharacters(int n)`
    `static byte[]` | `cancelUserDefinedChineseChar(int c2)`
    `static byte[]` | `creatCashboxContorlPulse(int m, int t1, int t2)`
    `static byte[]` | `definedUserDefinedChineseChar(int c2, byte[] b)`
    `static byte[]` | `defineuserDefinedCharacters(int c1, int c2, byte[] b)`
    `static byte[]` | `executePrintDataSaveByTransformToHex()`
    `static byte[]` | `feedBlackPaperToPrintPosition()`
    `static byte[]` | `feedpaperToOrderEnd()`
    `static byte[]` | `horizontalPositioning()`
    `static byte[]` | `initializePrinter()`
    `static byte[]` | `openOrCloseAutoReturnPrintState(int n)`
    `static byte[]` | `printAndBackFeed(int n)`
    `static byte[]` | `PrintAndCarriageReturn()`
    `static byte[]` | `printAndFeed(int n)`
    `static byte[]` | `printAndFeedForward(int n)`
    `static byte[]` | `printAndFeedLine()`
    `static byte[]` | `printAndFeedUnidirection(int n)`
    `static byte[]` | `printHeaderRecordAndFeedToPrintStartPosition()`
    `static byte[]` | `printHeadReplaceEnter()`
    `static byte[]` | `requestRealtimeForPrint(int n)`
    `static byte[]` | `returnState(int n)`
    `static byte[]` | `selectAlignment(int n)`
    `static byte[]` | `selectBmpModel(int m, android.graphics.Bitmap bitmap, BitmapToByteData.BmpType bmpType)`
    `static byte[]` | `selectCharacterCodePage(int n)`
    `static byte[]` | `selectChineseCharModel()`
    `static byte[]` | `selectCutPagerModerAndCutPager(int m)`
    `static byte[]` | `selectCutPagerModerAndCutPager(int m, int n)`
    `static byte[]` | `selectFont(int n)`
    `static byte[]` | `selectInternationalCharacterSets(int n)`
    `static byte[]` | `selectOrCancelBoldModel(int n)`
    `static byte[]` | `selectOrCancelChineseCharDoubleWH(int n)`
    `static byte[]` | `selectOrCancelChineseCharUnderLineModel(int n)`
    `static byte[]` | `selectOrCancelConvertPrintModel(int n)`
    `static byte[]` | `selectOrCancelDoubelPrintModel(int n)`
    `static byte[]` | `selectOrCancelUnderlineModel(int n)`
    `static byte[]` | `selectOrCancelUnidirectionPrint(int n)`
    `static byte[]` | `selectOrCancleCustomChar(int n)`
    `static byte[]` | `selectPrintColor(int n)`
    `static byte[]` | `selectPrintModel(int n)`
    `static byte[]` | `selectPrintTransducerOutPutPageOutSignal(int n)`
    `static byte[]` | `selectPrintTransducerStopPrint(int n)`
    `static byte[]` | `sendRealtimestatus(int n)`
    `static byte[]` | `setBlackPositionRecord(int a, int m, int nL, int nH)`
    `static byte[]` | `setCharRightSpace(int n)`
    `static byte[]` | `setChineseCharacterModel(int n)`
    `static byte[]` | `setChineseCharLeftAndRightSpace(int n1, int n2)`
    `static byte[]` | `setConnectWaitTime(int t1, int t2)`
    `static byte[]` | `setDefultLineSpacing()`
    `static byte[]` | `setHorizontalmovementPosition(byte[] b)`
    `static byte[]` | `setLineSpaceing(int n)`
    `static byte[]` | `setOrderLength(int nL, int nH)`
    `static byte[]` | `setRollBackLength(int n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataForSendToPrinterPos76

          public DataForSendToPrinterPos76()

  - ### Method Detail

    - #### horizontalPositioning

          public static byte[] horizontalPositioning()

    - #### printAndFeedLine

          public static byte[] printAndFeedLine()

    - #### PrintAndCarriageReturn

          public static byte[] PrintAndCarriageReturn()

    - #### sendRealtimestatus

          public static byte[] sendRealtimestatus(int n)

    - #### requestRealtimeForPrint

          public static byte[] requestRealtimeForPrint(int n)

    - #### setCharRightSpace

          public static byte[] setCharRightSpace(int n)

    - #### selectPrintModel

          public static byte[] selectPrintModel(int n)

    - #### selectOrCancleCustomChar

          public static byte[] selectOrCancleCustomChar(int n)

    - #### defineuserDefinedCharacters

          public static byte[] defineuserDefinedCharacters(int c1,
                                                           int c2,
                                                           byte[] b)

    - #### selectBmpModel

          public static byte[] selectBmpModel(int m,
                                              android.graphics.Bitmap bitmap,
                                              BitmapToByteData.BmpType bmpType)

    - #### selectOrCancelUnderlineModel

          public static byte[] selectOrCancelUnderlineModel(int n)

    - #### setDefultLineSpacing

          public static byte[] setDefultLineSpacing()

    - #### setLineSpaceing

          public static byte[] setLineSpaceing(int n)

    - #### printHeadReplaceEnter

          public static byte[] printHeadReplaceEnter()

    - #### cancelUserDefinedCharacters

          public static byte[] cancelUserDefinedCharacters(int n)

    - #### initializePrinter

          public static byte[] initializePrinter()

    - #### setHorizontalmovementPosition

          public static byte[] setHorizontalmovementPosition(byte[] b)

    - #### selectOrCancelBoldModel

          public static byte[] selectOrCancelBoldModel(int n)

    - #### selectOrCancelDoubelPrintModel

          public static byte[] selectOrCancelDoubelPrintModel(int n)

    - #### printAndFeed

          public static byte[] printAndFeed(int n)

    - #### printAndBackFeed

          public static byte[] printAndBackFeed(int n)

    - #### selectFont

          public static byte[] selectFont(int n)

    - #### selectInternationalCharacterSets

          public static byte[] selectInternationalCharacterSets(int n)

    - #### selectOrCancelUnidirectionPrint

          public static byte[] selectOrCancelUnidirectionPrint(int n)

    - #### selectAlignment

          public static byte[] selectAlignment(int n)

    - #### selectPrintTransducerOutPutPageOutSignal

          public static byte[] selectPrintTransducerOutPutPageOutSignal(int n)

    - #### selectPrintTransducerStopPrint

          public static byte[] selectPrintTransducerStopPrint(int n)

    - #### allowOrForbidPressButton

          public static byte[] allowOrForbidPressButton(int n)

    - #### printAndFeedForward

          public static byte[] printAndFeedForward(int n)

    - #### printAndFeedUnidirection

          public static byte[] printAndFeedUnidirection(int n)

    - #### creatCashboxContorlPulse

          public static byte[] creatCashboxContorlPulse(int m,
                                                        int t1,
                                                        int t2)

    - #### selectPrintColor

          public static byte[] selectPrintColor(int n)

    - #### selectCharacterCodePage

          public static byte[] selectCharacterCodePage(int n)

    - #### selectOrCancelConvertPrintModel

          public static byte[] selectOrCancelConvertPrintModel(int n)

    - #### executePrintDataSaveByTransformToHex

          public static byte[] executePrintDataSaveByTransformToHex()

    - #### selectCutPagerModerAndCutPager

          public static byte[] selectCutPagerModerAndCutPager(int m)

    - #### selectCutPagerModerAndCutPager

          public static byte[] selectCutPagerModerAndCutPager(int m,
                                                              int n)

    - #### openOrCloseAutoReturnPrintState

          public static byte[] openOrCloseAutoReturnPrintState(int n)

    - #### returnState

          public static byte[] returnState(int n)

    - #### setConnectWaitTime

          public static byte[] setConnectWaitTime(int t1,
                                                  int t2)

    - #### setChineseCharacterModel

          public static byte[] setChineseCharacterModel(int n)

    - #### selectChineseCharModel

          public static byte[] selectChineseCharModel()

    - #### selectOrCancelChineseCharUnderLineModel

          public static byte[] selectOrCancelChineseCharUnderLineModel(int n)

    - #### cancelChineseCharModel

          public static byte[] cancelChineseCharModel()

    - #### definedUserDefinedChineseChar

          public static byte[] definedUserDefinedChineseChar(int c2,
                                                             byte[] b)

    - #### cancelUserDefinedChineseChar

          public static byte[] cancelUserDefinedChineseChar(int c2)

    - #### setChineseCharLeftAndRightSpace

          public static byte[] setChineseCharLeftAndRightSpace(int n1,
                                                               int n2)

    - #### selectOrCancelChineseCharDoubleWH

          public static byte[] selectOrCancelChineseCharDoubleWH(int n)

    - #### setBlackPositionRecord

          public static byte[] setBlackPositionRecord(int a,
                                                      int m,
                                                      int nL,
                                                      int nH)

    - #### feedBlackPaperToPrintPosition

          public static byte[] feedBlackPaperToPrintPosition()

    - #### setRollBackLength

          public static byte[] setRollBackLength(int n)

    - #### setOrderLength

          public static byte[] setOrderLength(int nL,
                                              int nH)

    - #### feedpaperToOrderEnd

          public static byte[] feedpaperToOrderEnd()

    - #### printHeaderRecordAndFeedToPrintStartPosition

          public static byte[] printHeaderRecordAndFeedToPrintStartPosition()